import request from '@/axios';

export const getList = (current, size, params) => {
  return request({
    url: '/blade-system/rate-limit/list',
    method: 'get',
    params: {
      ...params,
      current,
      size,
    },
  });
};

export const getDetail = id => {
  return request({
    url: '/blade-system/rate-limit/detail',
    method: 'get',
    params: {
      id,
    },
  });
};

export const remove = ids => {
  return request({
    url: '/blade-system/rate-limit/remove',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const add = row => {
  return request({
    url: '/blade-system/rate-limit/save',
    method: 'post',
    data: row,
  });
};

export const update = row => {
  return request({
    url: '/blade-system/rate-limit/update',
    method: 'post',
    data: row,
  });
};

export const submit = row => {
  return request({
    url: '/blade-system/rate-limit/submit',
    method: 'post',
    data: row,
  });
};

export const enable = ids => {
  return request({
    url: '/blade-system/rate-limit/enable',
    method: 'post',
    params: {
      ids,
    },
  });
};

export const disable = ids => {
  return request({
    url: '/blade-system/rate-limit/disable',
    method: 'post',
    params: {
      ids,
    },
  });
};
